## ros-indigo-rail-maps 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rail_maps)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Mark a directory for installation
install(DIRECTORY maps/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/maps
)

=== debian/changelog ===
ros-indigo-rail-maps (0.2.5-0trusty) trusty; urgency=high

  * Rail lab with no furniture, for navigation that handles the furniture dynamically
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Dec 2014 05:00:00 -0000

ros-indigo-rail-maps (0.2.4-0trusty) trusty; urgency=high

  * Maps of new RAIL Lab
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 27 Aug 2014 04:00:00 -0000

ros-indigo-rail-maps (0.2.3-0trusty) trusty; urgency=high

  * rotated map
  * Merge pull request #3 from Spkordell/develop
    Updated rail_lab map
  * Updated rail_lab map
  * Contributors: Russell Toris, Steven Kordell

 -- Russell Toris <rctoris@wpi.edu>  Fri, 01 Aug 2014 04:00:00 -0000

ros-indigo-rail-maps (0.2.2-0trusty) trusty; urgency=high

  * Merge pull request #2 from Spkordell/develop
    Added new map for rail lab
  * Added new map for rail lab
  * fixed dox file
  * Contributors: Russell Toris, Steven Kordell

 -- Russell Toris <rctoris@wpi.edu>  Thu, 31 Jul 2014 04:00:00 -0000

ros-indigo-rail-maps (0.2.1-0trusty) trusty; urgency=high

  * readme fix
  * cleanup for release
  * command_center added
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 03 Apr 2014 04:00:00 -0000

ros-indigo-rail-maps (0.2.0-0trusty) trusty; urgency=high

  * catkin release
  * release version added
  * .gitignore updated with eclipse settings
  * initial import
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 13 Jan 2013 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-rail-maps
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/rail_maps
Standards-Version: 3.9.2

Package: ros-indigo-rail-maps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Maps Generated by the RAIL Lab at WPI

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rail-maps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
